'use strict';

// Create an instance
var wavesurfer = {};

// Init & load audio file
document.addEventListener('DOMContentLoaded', function() {
    wavesurfer = WaveSurfer.create({
        container: document.querySelector('#waveform'),
	minPxPerSec: 2,
	//normalize: true,
	barWidth: 2,
	barHeight: 3, // the height of the wave
	barGap: 1, // the optional spacing between bars of the wave, if not provided will be calculated in legacy format
        plugins: [
            WaveSurfer.cursor.create({
                showTime: true,
                opacity: 1,
                customShowTimeStyle: {
                    'background-color': '#000',
                    color: '#fff',
                    padding: '2px',
                    'font-size': '10px'
                }
		}),
	    WaveSurfer.timeline.create({
		    container: "#wave-timeline"
		})
        ]
    });

    wavesurfer.on('error', function(e) {
        console.warn(e);
    });


    // Play button
    var button = document.querySelector('[data-action="play"]');

    button.addEventListener('click', wavesurfer.playPause.bind(wavesurfer));
});
